#SHELL = /bin/sh

VERSIONNUMBER = 1.2.01
RELEASENUMBER = 1

#UNIX = `wx-config --libs` `wx-config --cflags`

#CC = g++ -DCOMPILATION_MINGW32 -DHAVE_CONFIG_H -I. -I.. -O2 -g3
CC = i586-mingw32msvc-g++ -DCOMPILATION_MINGW32 -I. -I.. -O2 -g3
#CC = i586-mingw32msvc-g++ -DCOMPILATION_MINGW32 -I. -I.. -O2 -g3 -lexpat
#i586-mingw32msvc-strip populations.exe

#g++ -DCOMPILATION_MINGW32 -I. -I.. -O2 -g3

all: populations.cpp
	$(CC) allele.cpp -c
	$(CC) applications.cpp -c
	$(CC) applpop.cpp -c
	$(CC) applpopulations.cpp -c
	$(CC) arbre.cpp -c
	$(CC) arbreplus.cpp -c
	$(CC) chaineficpop.cpp -c
	$(CC) couleur.cpp -c
	$(CC) distgnt.cpp -c
	$(CC) fstat.cpp -c
	$(CC) individu.cpp -c
	$(CC) jeupop.cpp -c
	$(CC) jeupopexp.cpp -c
	$(CC) locus.cpp -c
	$(CC) populations.cpp -c
	$(CC) matrices.cpp -c
	$(CC) metapop.cpp -c
	$(CC) population.cpp -c
	$(CC) strucpop.cpp -c
	$(CC) vecteurs.cpp -c
	$(CC) allele.o applications.o applpop.o applpopulations.o arbre.o arbreplus.o chaineficpop.o couleur.o distgnt.o fstat.o individu.o jeupop.o jeupopexp.o locus.o populations.o matrices.o metapop.o population.o strucpop.o vecteurs.o -o populations.exe
